
Redmine - Patch #11120

Order replies of messages boards based on user preference

2012-06-08 17:31 - Yannick Voyer

Status: New Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Forums Estimated time: 0.00 hour

Target version:    

Description

Order all the replies for a board message using the "Display Comments" user preference setting.

The patch works exactly as:

issues journals;

issues changesets;

news comments;

The patch was generated from r9779 of trunk/

Related to this question on the forum: http://www.redmine.org/boards/1/topics/615

Related issues:

Related to Redmine - Patch #26030: Like issues and news comments, want to spe... New

Has duplicate Redmine - Defect #20268: "Display comments - in reverse chronol... Closed

History

#1 - 2012-06-08 17:56 - Etienne Massip

- Target version set to Candidate for next major release

#2 - 2015-07-08 11:42 - Mischa The Evil

- Has duplicate Defect #20268: "Display comments - in reverse chronological order" doesn't affect forums added

#3 - 2016-05-08 16:13 - Go MAEDA

- File change_replies_order_with_test.diff added

- Target version changed from Candidate for next major release to 3.4.0

Added test code to Yannick Voyer's patch.

I think it would be better to implement this feature to improve UI consistency.

#4 - 2016-10-11 09:02 - Jean-Philippe Lang

- Target version deleted (3.4.0)

It's OK when replies are displayed on a signle page, but it's broken if we have multiple pages (recent messages at end).

#5 - 2017-01-15 09:42 - Go MAEDA

- Assignee set to Go MAEDA

#6 - 2017-06-22 13:31 - Toshi MARUYAMA

- Related to Patch #26030: Like issues and news comments, want to specify the display order of the forum's reply. added

#7 - 2018-05-07 13:42 - Alessandro Zucchi

Hi gays ... no news on this implementation ?

Files

change_replies_order.diff 626 Bytes 2012-06-08 Yannick Voyer
